Bug 150069 - libboost_python.so is missing
libboost_python.so is missing
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: boost (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Benjamin Kosnik
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-01 21:58 EST by Stefan Seefeld
Modified: 2013-08-09 01:47 EDT (History)
1 user (show)

See Also:
Fixed In Version: 5.fc3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-25 18:22:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stefan Seefeld 2005-03-01 21:58:33 EST
Description of problem:
The package contains libboost_python.so.1.32.0 and libboost_python.so.1
but not libboost_python.so. Thus, using '-lboost_python' the linker picks 
up the static version of the library. That, unfortunately doesn't work
for me as I have to use a shared version of the boost.python runtime
so its type registry singleton is seen by all loaded modules.

Version-Release number of selected component (if applicable):
boost-1.32.0-1.fc3

How reproducible:
Always

Steps to Reproduce:
1. ls /usr/lib/libboost_python.so*
2.
3.
  
Actual results:
/usr/lib/libboost_python.so.1 
/usr/lib/libboost_python.so.1.32.0

Expected results:
/usr/lib/libboost_python.so  
/usr/lib/libboost_python.so.1  
/usr/lib/libboost_python.so.1.32.0


Additional info:
Comment 1 Benjamin Kosnik 2005-03-16 18:08:13 EST
I have this fixed in boost-1.32.0-4. Will be pushing this out shortly.
Comment 2 Stefan Seefeld 2005-03-16 18:17:04 EST
Thanks. The same should be done for all of the (shared)
boost libraries in this package.

Note You need to log in before you can comment on or make changes to this bug.